# Generated from rtx-api-0.6.12.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rtx-api

Name: rubygem-%{gem_name}
Version: 0.6.12
Release: 1%{?dist}
Summary: Ruby Client for the Review Trackers RTX API
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 1.1
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A Ruby Client for the RTX API provided by Review Trackers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/pull_request_template.md
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rtx-api.gemspec

%changelog
* Thu Nov 14 2024 mockbuilder - 0.6.12-1
- Initial package
